<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE mapper
		PUBLIC '-//mybatis.org//DTD Mapper 3.0//EN'
		'http://mybatis.org/dtd/mybatis-3-mapper.dtd'>
<mapper namespace='com.njcn.mapper.data.OfflLogMapper'>
	<select id="getYearByGd" resultType="String">
	select distinct a.year
	  from offl_log a, pq_line b
	 where a.year is not null and a.line_index = b.line_index 
	 and b.line_index in 
	 <foreach collection="list" index="index" item="item" open="(" separator="," close=") order by year asc">    
        	#{item}    
     </foreach>
	</select>
	
	<select id="getSETimeByIndex" resultType="offlLog">
	select start_time startTime,end_time endTime,year from offl_log where line_index = #{lineIndex} order by startTime asc
	</select>
</mapper>